Protectable Containers - List

列出可註冊至復原服務保存庫的容器。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{vaultName}/backupFabrics/{fabricName}/protectableContainers?api-version=2026-08-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{vaultName}/backupFabrics/{fabricName}/protectableContainers?api-version=2026-08-01&$filter={$filter}

URI 參數

名稱 位於 必要 類型 Description
fabricName
path True

string

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

subscriptionId
path True

string

minLength: 1

目標訂用帳戶的標識碼。

vaultName
path True

string

復原服務保存庫的名稱。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

$filter
query

string

OData 篩選選項。

回覆

名稱 類型 Description
200 OK

ProtectableContainerResourceList

Azure 作業已順利完成。

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 冒用您的使用者帳戶

範例

List protectable items with backupManagementType filter as AzureStorage

範例要求

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRg/providers/Microsoft.RecoveryServices/vaults/testvault/backupFabrics/Azure/protectableContainers?api-version=2026-08-01&$filter=backupManagementType eq 'AzureStorage' and workloadType eq 'AzureFileShare'

範例回覆

{
  "value": [
    {
      "name": "StorageContainer;storage;test-rg;testst",
      "type": "Microsoft.RecoveryServices/vaults/backupFabrics/protectableContainers",
      "id": "/Subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/test-rg/providers/Microsoft.RecoveryServices/vaults/testvault/backupFabrics/Azure/protectableContainers/StorageContainer;storage;test-rg;teststorage",
      "properties": {
        "backupManagementType": "AzureStorage",
        "containerId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/test-rg/providers/Microsoft.Storage/storageAccounts/teststorage",
        "friendlyName": "teststorage",
        "healthStatus": "Healthy",
        "protectableContainerType": "StorageContainer"
      }
    },
    {
      "name": "StorageContainer;ClassicStorage;test-rg;teststorage",
      "type": "Microsoft.RecoveryServices/vaults/backupFabrics/protectableContainers",
      "id": "/Subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/test-rg/providers/Microsoft.RecoveryServices/vaults/testvault/backupFabrics/Azure/protectableContainers/StorageContainer;ClassicStorage;test-rg;teststorage",
      "properties": {
        "backupManagementType": "AzureStorage",
        "containerId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/test-rg/providers/Microsoft.ClassicStorage/storageAccounts/teststorage",
        "friendlyName": "teststorage",
        "healthStatus": "Healthy",
        "protectableContainerType": "StorageContainer"
      }
    }
  ]
}

定義

名稱 Description
AzureStorageProtectableContainer

Azure 記憶體特定的可保護容器

AzureVMAppContainerProtectableContainer

Azure 工作負載特定的容器

BackupManagementType

備份管理類型,以執行目前的作業。

createdByType

建立此資源的身分識別類型。

ErrorDetail

封裝程式代碼、訊息和建議的錯誤詳細數據類別。

ErrorResponse

錯誤回應

ProtectableContainerResource

可保護的容器類別。

ProtectableContainerResourceList

ProtectableContainer 資源清單

ProtectableContainerType

容器的類型。 此屬性的值

  1. Compute Azure VM is Microsoft.運算/虛擬機器
  2. Classic Compute Azure VM 是 Microsoft。ClassicCompute/virtualMachines
systemData

與建立和上次修改資源相關的元數據。

AzureStorageProtectableContainer

Azure 記憶體特定的可保護容器

名稱 類型 Description
backupManagementType

BackupManagementType

容器的備份管理類型。

containerId

string

容器的網狀架構標識碼,例如 ARM 識別碼。

friendlyName

string

容器的易記名稱。

healthStatus

string

容器健全狀況的狀態。

protectableContainerType string:

StorageContainer

容器的類型。 此屬性的值

  1. Compute Azure VM is Microsoft.運算/虛擬機器
  2. Classic Compute Azure VM 是 Microsoft。ClassicCompute/virtualMachines

AzureVMAppContainerProtectableContainer

Azure 工作負載特定的容器

名稱 類型 Description
backupManagementType

BackupManagementType

容器的備份管理類型。

containerId

string

容器的網狀架構標識碼,例如 ARM 識別碼。

friendlyName

string

容器的易記名稱。

healthStatus

string

容器健全狀況的狀態。

protectableContainerType string:

VMAppContainer

容器的類型。 此屬性的值

  1. Compute Azure VM is Microsoft.運算/虛擬機器
  2. Classic Compute Azure VM 是 Microsoft。ClassicCompute/virtualMachines

BackupManagementType

備份管理類型,以執行目前的作業。

值 Description
Invalid
AzureIaasVM
MAB
DPM
AzureBackupServer
AzureSql
AzureStorage
AzureWorkload
DefaultBackup

createdByType

建立此資源的身分識別類型。

值 Description
User
Application
ManagedIdentity
Key

ErrorDetail

封裝程式代碼、訊息和建議的錯誤詳細數據類別。

名稱 類型 Description
code

string

錯誤碼。

message

string

與程式代碼相關的錯誤訊息。

recommendations

string[]

建議字串清單。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

error 物件。

ProtectableContainerResource

可保護的容器類別。

名稱 類型 Description
eTag

string

選擇性 ETag。

id

string

資源的完整資源標識碼。 範例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

資源位置。

name

string

資源的名稱

properties ProtectableContainer:

ProtectableContainerResource 屬性

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 中繼資料。

tags

object

資源標籤。

type

string

資源的類型。 例如:「Microsoft.Compute/virtualMachines」或「Microsoft.Storage/storageAccounts」

ProtectableContainerResourceList

ProtectableContainer 資源清單

名稱 類型 Description
nextLink

string

擷取下一頁資源的 URI,每個 API 呼叫每個頁面最多傳回 200 個資源。 如果資源總數超過 200,請使用 ListNext() 擷取下一頁。

value

ProtectableContainerResource[]

資源清單。

ProtectableContainerType

容器的類型。 此屬性的值

  1. Compute Azure VM is Microsoft.運算/虛擬機器
  2. Classic Compute Azure VM 是 Microsoft。ClassicCompute/virtualMachines
值 Description
Invalid
Unknown
IaasVMContainer
IaasVMServiceContainer
DPMContainer
AzureBackupServerContainer
MABContainer
Cluster
AzureSqlContainer
Windows
VCenter
VMAppContainer
SQLAGWorkLoadContainer
StorageContainer
GenericContainer
Microsoft.ClassicCompute/virtualMachines
Microsoft.Compute/virtualMachines
AzureWorkloadContainer

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立此資源的身分。

createdByType

createdByType

建立此資源的身分識別類型。

lastModifiedAt

string (date-time)

上次修改的資源時間戳 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分類型。